await seam.thermostats.schedules.list({
device_id: "b5d58842-32be-46d2-b161-26787a0bd5ea",
});
/*
[
{
"climate_preset_key": "Eco",
"created_at": "2025-06-14T16:54:17.946316Z",
"device_id": "b5d58842-32be-46d2-b161-26787a0bd5ea",
"ends_at": "2025-07-14T16:54:17.946313Z",
"errors": [],
"is_override_allowed": true,
"max_override_period_minutes": 90,
"name": "Unoccupied",
"starts_at": "2025-07-12T16:54:17.946313Z",
"thermostat_schedule_id": "af2cb7f7-9f28-40da-a0a0-e7a008ef7a35",
"workspace_id": "58419b36-6103-44e5-aa83-2163e90cce01"
}
]
*/{
"thermostat_schedules": [
{
"climate_preset_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ends_at": "2023-11-07T05:31:56Z",
"errors": [
{
"created_at": "2023-11-07T05:31:56Z",
"error_code": "<string>",
"message": "<string>"
}
],
"name": "<string>",
"starts_at": "2023-11-07T05:31:56Z",
"thermostat_schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_override_allowed": true,
"max_override_period_minutes": 1
}
]
}Schedules
List Thermostat Schedules
Returns a list of all thermostat schedules for a specified thermostat.
GET
/
thermostats
/
schedules
/
list
await seam.thermostats.schedules.list({
device_id: "b5d58842-32be-46d2-b161-26787a0bd5ea",
});
/*
[
{
"climate_preset_key": "Eco",
"created_at": "2025-06-14T16:54:17.946316Z",
"device_id": "b5d58842-32be-46d2-b161-26787a0bd5ea",
"ends_at": "2025-07-14T16:54:17.946313Z",
"errors": [],
"is_override_allowed": true,
"max_override_period_minutes": 90,
"name": "Unoccupied",
"starts_at": "2025-07-12T16:54:17.946313Z",
"thermostat_schedule_id": "af2cb7f7-9f28-40da-a0a0-e7a008ef7a35",
"workspace_id": "58419b36-6103-44e5-aa83-2163e90cce01"
}
]
*/{
"thermostat_schedules": [
{
"climate_preset_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ends_at": "2023-11-07T05:31:56Z",
"errors": [
{
"created_at": "2023-11-07T05:31:56Z",
"error_code": "<string>",
"message": "<string>"
}
],
"name": "<string>",
"starts_at": "2023-11-07T05:31:56Z",
"thermostat_schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_override_allowed": true,
"max_override_period_minutes": 1
}
]
}Authorizations
api_keyclient_sessionpat_with_workspaceconsole_session_with_workspaceclient_session_with_customerclient_session_with_customer_rosupport_read_only_token
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
ID of the thermostat device for which you want to list schedules.
User identifier key by which to filter the list of returned thermostat schedules.
Minimum string length:
1Response
OK
Show child attributes
Show child attributes
Was this page helpful?